using System;

namespace Prijatelj
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, m,index;
            string s = Console.ReadLine();
            index = s.IndexOf(" ");
            n = int.Parse(s.Substring(0,index));
            m = int.Parse(s.Substring (index+1));
            int[] a = new int[n];         
            int[,] b = new int[n, n];
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    b[i, j] = 0;
                }
            }
            int x, y;
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine();
                index = s.IndexOf(" ");
                x = int.Parse(s.Substring(0, index));
                y = int.Parse(s.Substring(index + 1));
                b[x-1, y-1] = 1;
                b[y-1, x-1] = 1;
            }
            int k = 0;
            int sreca = 0;
            for (int i = 0; i < n; i++)
            {
                for (int j = k; j< n; j++)
                {
                    if (b[i,j]==1)
                    {
                        if (a[i]>0 && a[j]>0)
                        {
                            sreca += (a[i] + a[j]);
                        }
                        if (a[i] < 0 && a[j] < 0)
                        {
                            sreca -= (a[i] + a[j]);
                        }
                        if (a[i] > 0 && a[j] < 0 || a[i] < 0 && a[j] > 0)
                        {
                            if (Math.Abs(a[i])> Math.Abs(a[j]))
                            {
                                sreca += Math.Abs(a[i]);
                                sreca -= Math.Abs(a[j]);
                            }
                            else
                            {
                                sreca += Math.Abs(a[j]);
                                sreca -= Math.Abs(a[i]);
                            }                                 
                        }                          
                    }
                }
                k++;                
            }
            Console.WriteLine(sreca);
        }
    }
}